Bug 1661821 - [OSP 13] Novajoin enrollment against external IDM cluster while its connected to the internalAPI network
Summary: [OSP 13] Novajoin enrollment against external IDM cluster while its connected...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-23 16:11 UTC by Aviv Guetta
Modified: 2020-01-03 20:53 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-17 13:06:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
network layout (25.48 KB, application/pdf)
2018-12-23 16:11 UTC, Aviv Guetta
no flags Details

Description Aviv Guetta 2018-12-23 16:11:23 UTC
Created attachment 1516383 [details]
network layout

Description of problem:

Environment details/remarks:
- The IDM cluster is located in the Management network. 
- In order to complete the novajoin enrollment network process, connectivity from the Overcloud to the IDM cluster is required. 
- The routable network is the InternalAPI, it connects the Overcloud to the Management network (The router connected to the InternalAPI [Green] and Management [Blue] - see attached 'network.pdf' file). 
- InternalAPI network is routable in order to access the *InternalAPI* from the Workstations. 
- The customer wants to avoid using static routes.


NovaJoin enrollment process starts right after the boot process (cloud-init script), while only the Provisioning network is available, before the InternalAPI network is configured (it is a race condition problem). 

We'd like to have your advice to resolve this design issue.


Version-Release number of selected component (if applicable):
Red Hat OpenStack Platform 13

Comment 8 Aviv Guetta 2019-01-17 13:06:43 UTC
Hi,
Currently, no.
I'll reopen in case of a need.


Note You need to log in before you can comment on or make changes to this bug.